GRUB-INSTALL(8)

NOM
grub-install - Install GRUB sur un préiphérique

SYNOPSIS
grub-install [OPTION...] [OPTION] [PÉRIPHÉRIQUE_INSTALLATION]

DESCRIPTION
Installer GRUB sur votre disque.

--compress=no|xz|gz|lzo
    compresser les fichiers GRUB [optionnel]

--disable-shim-lock
    Désactiver le vérificateur de shim_lock.

--dtb=FICHIER
    intégrer un DTB spécifique

-d, --directory=RÉP
    Utiliser les images et les modules dans RÉP [/usr/lib/grub/<platform> par défaut]

--fonts=FONTES
    Installer des FONTES [par défaut=unicode].

--install-modules=MODULES
    Installer seulement les MODULES et leurs dépendances [tous par défaut].

-k, --pubkey=FICHIER
    Intégrer FICHIER comme clé publique pour la vérification de signature.

--locale-directory=RÉP Utiliser les traductions PRÉSENTES dans RÉP.
    [défaut=/usr/share/locale]

--locales=LOCALES
    Installer seulement les LOCALES [par défaut=toutes].

--modules=MODULES
    précharger les MODULES indiqués

--sbat=FICHIER
    Métadonnées SBAT.

--themes=THÈMES
    Installer les THÈMES [par défaut=starfield].

-v, --verbose
    Afficher des messages détaillés.

--allow-floppy
    Rendre le lecteur aussi amorçable comme disquette (par défaut pour les périphériques fdX). Cela peut casser certains BIOS.

--boot-directory=RÉPERTOIRE
    Installer les images GRUB dans le répertoire RÉP/grub plutôt que dans le répertoire /boot/grub

--bootloader-id=ID
    L’identifiant du chargeur d'amorçage. Cette option n'est disponible que sur EFI et les MAC.

--core-compress=xz|none|auto
    Choisir le type de compression à utiliser pour core.img.

--disk-module=MODULE
    Module de disque à utiliser (biosdisk ou natif). Cette option n'est disponible que sur les cibles BIOS

--efi-directory=RÉP
    Utiliser RÉP comme racine de la partition système EFI.

--force
    installer même si des problèmes sont détectés

--force-file-id
    Utiliser le fichier identifiant même si l'UUID est disponible

--label-bgcolor=COULEUR
    Utiliser COULEUR pour l'arrière-plan de l'étiquette.

--label-color=COULEUR
    Utiliser COULEUR pour l'étiquette.

--label-font=FICHIER
    Utiliser FICHIER comme fonte pour l'étiquette.

--macppc-directory=RÉP utiliser RÉP pour une installation sur MAC PPC.

--no-bootsector
    Ne pas installer de secteur de démarrage

--no-nvram
    Ne pas mettre à jour les variables de NVRAM « boot-device » ou « Boot* ». Cette option est uniquement disponible sur les cibles EFI et IEEE1275.

--no-rs-codes
    N'appliquer aucun code reed-solomon lors de l'intégration de core.img. Cette option n'est disponible que pour les cibles BIOS x86.

--product-version=CHAÎNE
    Utiliser CHAÎNE comme version du produit.

--recheck
    Supprimer le mappage du périphérique s'il existe déjà.'

--removable
    Le périphérique d'installation est amovible. Cette option est uniquement disponible sur EFI.'

-s, --skip-fs-probe
    Ne pas rechercher de système de fichiers dans PÉRIPHÉRIQUE

--target=CIBLE
    Installer GRUB pour la plateforme CIBLE [i386-pc par défaut] ; les cibles disponibles sont : arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

-?, --help
    Afficher l’aide-mémoire.

--usage
    Afficher un court message pour l’utilisation.

-V, --version
    Afficher la version du programme.

Les paramètres obligatoires ou facultatifs pour les options de forme longue le sont aussi pour les options correspondantes de forme courte.

PÉRIPHÉRIQUE_INSTALLATION doit être un nom de fichier de périphérique système. grub-install copie les images de GRUB dans le répertoire /boot/grub. Sur certaines plateforme, il peut aussi installer GRUB dans le secteur d'amorçage.

SIGNALER DES BOGUES
Signaler toute erreur à <bug-grub@gnu.org>.

VOIR AUSSI
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

La documentation complète de grub-install est disponible dans un manuel Texinfo. Si les programmes info et grub-install sont correctement installés, la commande

    info grub-install

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.